| ParkinGo 1.0.1

Public Member Functions | Protected Member Functions | List of all members
com.example.infiniteLoop.parkingo.category_wise_availability Class Reference
Inheritance diagram for com.example.infiniteLoop.parkingo.category_wise_availability:

## Public Member Functions
void | getAvailability (View v)
| Displays the progress bar while the available slots being loaded. More...
void | returnSlots (final ArrayList slots)
| Displays the free slot to the calling activity. More...
void | sendResult ()
| Returns the free slot result to the calling activity void.

## Protected Member Functions
void | onCreate (@Nullable Bundle savedInstanceState)

## Member Function Documentation

## ◆ getAvailability()

void com.example.infiniteLoop.parkingo.category_wise_availability.getAvailability | ( | View | v | ) |
| inline

Displays the progress bar while the available slots being loaded.

Parameters

  v | - View of the calling acitivity void

## ◆ returnSlots()

void com.example.infiniteLoop.parkingo.category_wise_availability.returnSlots | ( | final ArrayList | slots | ) |
| inline

Displays the free slot to the calling activity.

Parameters

  slots | - An ArrayList void

The documentation for this class was generated from the following file:

- /home/bhavesh/Desktop/cs699/parkingo/parkingo/source/app/src/main/java/com/example/infiniteLoop/parkingo/category_wise_availability.java